<div class="mt-4 rounded border border-2 w-100 p-4 mt-4">
    <form>

        <div>
            <div class="row mt-3">
                <div class="col-md-2">
                    <mat-label><b>Nro. Flujo : </b></mat-label>
                    <mat-label>{{idflujo}}</mat-label>
                </div>
                <div class="col-md-6">
                    <mat-label><b>Solicitante : </b></mat-label>
                    <mat-label>{{encabezado.persona}}</mat-label>
                </div>
                <div class="col-md-4">
                    <mat-label><b>Tiempo : </b></mat-label>
                    <mat-label>{{encabezado.tiempo}}</mat-label>
                </div>                
            </div>
            <div class="row mt-3">
                <div class="col-md-4">
                    <mat-label><b>Tipo de Trámite : </b></mat-label>
                    <mat-label>{{encabezado.tipotramite}}</mat-label>
                </div>
               
                <div class="col-md-3">
                    <mat-label><b>Fecha de Inicio : </b></mat-label>
                    <mat-label>{{encabezado.fecha_inicio | date: 'dd/MM/yyyy'}}</mat-label>
                </div>
                <div class="col-md-3">
                    <mat-label><b>Fecha de Término : </b></mat-label>
                    <mat-label>{{encabezado.fecha_termino | date: 'dd/MM/yyyy'}}</mat-label>
                </div>
                <div class="col-md-2">
                    <button mat-button color="success" (click)="cerrar()"  >Cerrar</button>
                </div>          
            </div>
            
            <div class="text-center" *ngIf="cargando">
                <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                    <span class="sr-only">Cargando...</span>
                </div>
            </div>

            <div class="card card-pricing popular shadow text-center px-3 mb-4 mt-3">
                <span class="h6 w-60 mx-auto px-4 py-1 rounded-bottom bg-primary text-white shadow-sm">Requisitos</span>
                <div class="col-md-9">
                    <table mat-table [dataSource]="dataSource">
                        <ng-container matColumnDef="idrequisito">
                          <th mat-header-cell *matHeaderCellDef> Id </th>
                          <td mat-cell *matCellDef="let element" align="left"> {{element.idrequisito}} </td>
                        </ng-container>
                        <ng-container matColumnDef="descripcion">
                            <th mat-header-cell *matHeaderCellDef> Requisito </th>
                            <td mat-cell *matCellDef="let element" align="left"> {{element.descripcion}} </td>
                          </ng-container>
                        <ng-container matColumnDef="tieneArchivo">
                            <th mat-header-cell *matHeaderCellDef> Descargar </th>
                            <td mat-cell *matCellDef="let element"  align="center">
                              <button class="mat-icon-button btn btn-warning"
                                
                                (click)="descargarPdf(element.idrequisito, element.descripcion)"
                                *ngIf="element.tieneArchivo">
                                  <mat-icon class="mat-18">download</mat-icon>
                              </button>
                            </td>
                            <!-- (click)="descargarPdf(element.idtipodocumento, element.nombre)" -->
                        </ng-container>
                        
                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </table>
                </div>
            </div>

            <div class="card card-pricing popular shadow text-center px-3 mb-4">
                <span class="h6 w-60 mx-auto px-4 py-1 rounded-bottom bg-primary text-white shadow-sm">Materiales</span>
                <div class="row mt-3 ml-2 mr-2" >               
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_acero">Acero</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_papel">Papel</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_aluminio">Aluminio</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_acrilico">Acrílico</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_madera">Madera</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_carton">Carton</mat-slide-toggle>
                    </div>
                </div>
                <div class="row mt-3 ml-2 mr-2 mb-3">
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_plastico">Plástico</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_lona">Lona</mat-slide-toggle>
                    </div>
                    <div class="col-md-2">
                        <mat-slide-toggle [disabled]="true" [checked]="encabezado.mat_tela">Tela</mat-slide-toggle>
                    </div>
                    <div class="col-md-4">
                        <mat-label><b>Otro : </b></mat-label>
                        <mat-label>{{encabezado.mat_otro}}</mat-label>
                    </div>
                </div>
            </div>
           
            <div class="card card-pricing popular shadow text-center px-3 mb-4 mt-3">
                <span class="h6 w-60 mx-auto px-4 py-1 rounded-bottom bg-primary text-white shadow-sm">Publicidad</span>
                <div class="row mt-3 ml-2 mr-2">
                    <div class="col-md-4">
                        <mat-label><b>Tipo de Publicidad : </b></mat-label>
                        <mat-label>{{encabezado.tipopublicidad}}</mat-label>
                    </div>
                </div>
    
                <div class="row mt-3 ml-2 mr-2">
                    <div class="col-md-12">
                        <table class="table mt-3">
                            <thead class="thead-dark">
                                <tr>
                                    <th scope="col">Tipo Vía</th>
                                    <th scope="col">Dirección</th>
                                    <th scope="col">Zona</th>
                                    <th scope="col">Largo</th>
                                    <th scope="col">Alto</th>
                                    <th scope="col">Monto</th>                                
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let item of detallesPub; let i=index">                            
                                    <td>{{item.tipovia}}</td>
                                    <td>{{item.direccion}}</td>
                                    <td>{{item.zona }}</td>
                                    <td>{{item.largo}}</td>
                                    <td>{{item.alto }} </td>
                                    <td>{{item.monto | number : '1.2-2'}}</td>                                                         
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
               
            </div>            
        </div>
    </form>
</div>
